import 'package:flutter/material.dart';
import 'package:npay_component/styles/colors.dart';

void showNpBottomSheet(GlobalKey<ScaffoldState> scaffoldKey,
    {@required Widget child, Color color = Colors.white}) {
  scaffoldKey.currentState.showBottomSheet(
    (context) => Column(
      children: [
        // Widget bắt sự kiện click ra ngoài bottom sheet
        Expanded(
            child: GestureDetector(
          onTap: () => Navigator.of(context).pop(),
          child: Container(
            color: Colors.transparent,
          ),
        )),
        Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            Container(color: btnDisabledColor, height: 4, width: 32),
            SizedBox(height: 7),
            Container(
              height: 300,
              width: double.infinity,
              decoration: BoxDecoration(
                  color: color,
                  borderRadius: BorderRadius.only(
                      topLeft: const Radius.circular(16.0),
                      topRight: const Radius.circular(16.0))),
              child: Padding(
                padding: const EdgeInsets.all(8.0),
                child: child,
              ),
            ),
          ],
        )
      ],
    ),
    backgroundColor: Colors.transparent,
  );
}
